Post not yet marked as solved
I have issues with uploading my binary to App Store Connect. It says that my project is using UIWebView . Now the funny thing is, that I never used UIWebView during coding also searching for it in Xcode gives me no results. I searched the whole project folder with grep -r "UIWebView". and no results, but still App Store Connect rejects my binary with that reason.
What can i do?
Post not yet marked as solved
We are trying to talk to the AppStoreConnect API via api.appstoreconnect.apple.com through a Chrome browser.
Unfortunately, the CORS preflight request is blocked and as a result you implicitly get the error message "has been blocked by CORS policy: No 'Access-Control-Allow-Origin' header is present on the requested resource."
An example of a CURL OPTIONS request, where you can see that the response is a 401 HTTP status code, that should not be in this case.
curl -I 'https://api.appstoreconnect.apple.com/v1/apps/1206433997/appStoreVersions' \
-X 'OPTIONS' \
-H 'accept: */*' \
-H 'access-control-request-method: GET' \
-H 'origin: https://www.mysports.com'
HTTP/2 401
server: daiquiri/3.0.0
date: Thu, 12 Aug 2021 17:13:56 GMT
content-type: application/json
content-length: 350
strict-transport-security: max-age=31536000; includeSubDomains
x-apple-jingle-correlation-key: 7Y5RPIUSI4MNTO4KNTMVW46G2I
x-daiquiri-instance: daiquiri:38493001:pv50p00it-hyhk12043901:7987:21RELEASE130:daiquiri-amp-all-shared-ext-001-pv
The GET request should also return the Access-Control-Allow-Origin header, this should either be configurable or you allow everything by sending a wildcard * as value.
I could not find any references to CORS requests in the developer documentation.
I have this API call in my application.
For some reason, the response is coming back nil.
If I try the right URL, a JSON will be returned and all the nodes filled out.
So I'm trying to get the error inside the
if let error = error { but even putting a breaking point in there, the code is never reached.
What am I doing wrong ?
Thanks
func getProductById(productId: Int, completion: @escaping (ProductModel) -> ()) {
guard let url = URL(string: "https://mysite/api/products/82") else { return } var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("application/json; charset=UTF-8", forHTTPHeaderField: "Content-Type") URLSession.shared.dataTask(with: request) { (data, request, error) in
if let data = data {
print("data") } if let error = error {
print("error") }
guard let data = data else { return } do {
let product = try! JSONDecoder().decode(ProductModel.self, from: data)
DispatchQueue.main.async {
completion(product)
}
} catch {
print(error)
} }
.resume()
Post not yet marked as solved
Hi, I'm using the AppStoreConnect API to get the number of downloads.
I was able to get it if the timezone is PST.
Can I get the number of UTC downloads?
If possible, please let me know where you can change to UTC.
Post not yet marked as solved
Hi, I want to get a crash report using the AppStoreConnect API.
Is this possible?
If possible, I would be grateful if you could teach me how to do it.
Post not yet marked as solved
Why this api https://rss.itunes.apple.com/api/v1/us/podcasts/top-podcasts/all/20/explicit.json does not work again?
Post not yet marked as solved
Hi, I am working with App Store Connect APIs. and I am able to work with all GET requests but when ever I try to call a PATCH request or POST request I got an error from App Store Connect.
like this
` {
"status": "405",
"code": "METHOD_NOT_ALLOWED",
"title": "The request method is not valid for the resource path.",
"detail": "The request method used for this request is not valid for the resource path. Please consult the documentation."
}`
I read all documentation but not able to find out why this is happening. I hope you can help me with this.
Thanks is advance.
Post not yet marked as solved
Hi Everyone.
I've got an issue with ingesting app store connect data through fivetran (A tool I use to ingest data from various sources) taking far too long for each sync.
Fivetran support have said that I need to get the rate limits increased on the API connection and linked me to this article: https://developer.apple.com/documentation/appstoreconnectapi/identifying_rate_limits
I have no idea how to get the rate limit increased and apple support sent me here to ask.
We are trying to use new beta api: Get Transaction History(https://developer.apple.com/documentation/appstoreserverapi/get_transaction_history).
And the first step is to generate an in-app purchase key on App Store Connect -> Users and Access -> In-App Purchase.
But after generate the key and click download, it show up "An error occurred, please try again later", and we can not do it because it is an one-shot download. it works fine on old type key of "App Store Connect API".
We have tried to switch to different browser or admin user. on Console we found that the request for downloading key returns http error code 410 (https://appstoreconnect.apple.com/iris/v1/subscriptionKeys)
Post not yet marked as solved
Hi Team,
We are trying to register our App in the App Store for the first time. After filling the General Details, when continue is clicked, it is giving us error "The App Name you entered has already used". But when we checked in AppStore, there is no such app by that name.
We want to register the app in the same name and dont want to change the name since it's already being used in android.
Kindly help asap.
Regards,
Post not yet marked as solved
I am using the App Store Connect API to receive information about my app. I have noticed that the API is so extremely slow. Are there any tipps to speed up the requests? Take this request for example:
https://api.appstoreconnect.apple.com/v1/builds?filter[app]=1234854699&limit=1&fields[builds]=iconAssetToken
To me, this seems like a pretty straightforward request. Out of all build, get the latest one and return it. However, this request takes between 3 and 5 seconds. I need to send this request for each of my apps, so getting the builds alone can take up to 20 seconds which is not acceptable.
Other requests are very slow as well. For simple requests like that I expect response times within a couple of hundreds milliseconds.
Am I missing something? I have used Postman to send the request.
I did not send any additional headers, only the Authorisation one.
Post not yet marked as solved
I'm currently making a POST to https://api.appstoreconnect.apple.com/v1/betaTesters with all the correct credentials and getting a code 405 METHOD_NOT_ALLOWED.
As far as I know, I am in fact making a POST request as noted in the documentation: https://developer.apple.com/documentation/appstoreconnectapi/create_a_beta_tester#see-also
Any one else seeing this, please help.
Post not yet marked as solved
We’re planning to launch an app to all regions / markets in the Apple App Store, with a subscription based model, utilizing Stripe as payment gateway / processor and App Store Connects price tiers to set the market price for each region / market.
My question relates to if / how we can integrate App Store Connects price tiers when Stripe doesn’t offer these tiers?
With Stripe it seems that if we want to deploy the app across all regions, we either setup a specific product’s price for all available currencies or setup some currencies and others will Stripes currency conversions.
However, it would be more customer centric to offer the price tiers as outlined in App Store Connect, so any help to solve this would be much appreciated.
Many thanks!
Post not yet marked as solved
I would like to enable/disable promotional in-app purchase based on certain festival period automatically by my web server. Is there an App Store Connect API that we can do that? I browsed thru the API documentation and can't seem to find the relevant endpoint.
Post not yet marked as solved
App Store Connect API, What is the default timeout for a request
Post not yet marked as solved
Why is much of the return value information empty
The interface I have been using before, the message returned normal. But now a lot of the information in the return value is empty
Post not yet marked as solved
Can't enter an identifier in the identifier input box, following error in dev tools both on mac and windows (chrome based browsers)
Uncaught TypeError: Cannot read properties of undefined (reading 'length')
at n.handleIdentifierChange (main.a08fd885.js:1)
at Object.o (main.a08fd885.js:1)
at a (main.a08fd885.js:1)
at s (main.a08fd885.js:1)
at u (main.a08fd885.js:1)
at f (main.a08fd885.js:1)
at Array.forEach ()
at p (main.a08fd885.js:1)
at m (main.a08fd885.js:1)
at Me (main.a08fd885.js:1)
I'm posting this here since I can't find a better place to report this bug.
Post not yet marked as solved
let provider: APIProvider = APIProvider(configuration: configuration)
provider.request(.apps()) { (result) in
switch result {
case .success(let appsResponse):
print("Did fetch (appsResponse.data.count) apps")
case .failure(let error):
print("Something went wrong fetching the apps: (error)")
}
}
Post not yet marked as solved
I am trying to upload an IPA to testflight for external testing groups via a script that uses a combination of xcrun altool and Appstore Connect API endpoints. xcrun command executes successfully, as well as the endpoint to assign the new build to test groups. When I go onto the appstore connect website afterwards, the build is assigned to the correct external groups, but the status of the build stays at "ready to submit", and the testers do not see the new build on their testflight app. This is not the first build of this version, so the review for build 1 has already been completed. These are the steps I use:
xcrun altool --upload-app --type ios -f path_to_IPA -u username -p password
I then set a sleep timer for 10 minutes, allowing the app to go from the "Processing" state to the "ready to submit" state.
Hit the endpoint to assign this new build to my test groups
curl --location --request POST "https://api.appstoreconnect.apple.com/v1/builds/${BUILDID}/relationships/betaGroups" --header "Authorization: Bearer ${JWT}" --header 'Content-Type: application/json' --data-raw '{
"data": [
{
"id": "group1 id",
"type": "betaGroups"
},
{
"id": "group2 id",
"type": "betaGroups"
},
{
"id": "group3 id",
"type": "betaGroups"
}
]
}'
Go to Appstore Connect website, the new build still says "Ready to Submit" despite there being external groups assigned. If I do this entirely through the website, once it processes and says "ready to submit", adding external groups to the build immediately makes it available to them and changes the status to "Testing".
If I (through the website) remove a test group and add it back in, the build immediately becomes available to the test groups and a notification is sent out.
There does not appear to be an API endpoint to submit an app for review, so how do I make the build status "Testing" if the external groups are already assigned?
Post not yet marked as solved
Hi, I can't generate new key in the App Store connect dashboard.
I'm receiving this as error.
{
"errors" : [ {
"id" : "59e466f3-70aa-4798-b183-8a4903a7c2cc",
"status" : "403",
"code" : "FORBIDDEN_ERROR.PLA_NOT_VALID",
"title" : "Operation is forbidden because of PLA status.",
"detail" : ""
} ]
}
I'm the account owner and I accepted all the policy agreements in both apple developper dashboard and app connect dashboard.
what's goin on?